/*
TASK: squ
LANG: C++
*/
#include <ctime>
#include <cstdio>

typedef unsigned int uint;

const uint MAXN = 1 << 20;

uint n;
uint h[MAXN];

void read() {
    scanf ("%u",&n);
}

inline uint gcd ( uint a , uint b ) {
    uint c;
    while ( b ) {
        c = b;
        b = a % b;
        a = c;
    }
    return a;
}

void solve() {
    uint i , j;
    uint f , t;
    uint u;
    uint ans;
    
    ans = t = 0;
    
    for (i=1;i<=n;++ i)   
        if ( n % i == 0 )
            h[ ++ t ] = i;
            
    for (i=n / 2;i<n;++ i) {
        u = gcd ( i , n );
        for (j=1;j<=t;++ j) {
            if ( h[j] > u ) break;
            f = n + h[j] - i;
            
            if ( f <= i && !(i % h[j]) && gcd ( i , f ) == h[j] )
                ++ ans;
        }
    }
                
    printf ("%u\n",ans + t);
}

int main() {
    read();  
    solve(); 
    
 //   printf ("%lf\n",(double)clock()/(double)CLOCKS_PER_SEC);
    
    return 0;
}
