/*
TASK: sumx
LANG: C
*/
#include <stdio.h>
#include <stdlib.h>
#define N 100010
int n,x;
int v[N];
void scan(void){
    int i;
    scanf("%d",&n);
    for (i=1;i<=n;++i)
        scanf("%d",&v[i]);
    scanf("%d",&x);
}
void swap(int a,int b){
     int aux;
     aux=v[a];
     v[a]=v[b];
     v[b]=aux;
}
void down_heap(int i,int n){
     int max=i;
     if (2*i<=n && v[max]<v[2*i])
        max=2*i;
     if (2*i+1<=n && v[max]<v[2*i+1])
        max=2*i+1;
     if (i!=max){
        swap(i,max);
        down_heap(max,n);
     }
}
void sort(void){
     int i;
     for (i=n/2;i;--i)
         down_heap(i,n);
     for (i=n;i>1;--i){
         swap(1,i);
         down_heap(1,i-1);
     }
}
long long s;
int search1(int p,int u,int key){
     int m=(p+u)/2;
     while (p<u){
           if (v[m]<=key)
              p=m+1;
           else
               u=m;
           m=(p+u)/2;
     }
     if (v[p]>key)
        --p;
     return p;
}
int search2(int p,int u,int key){
     int m=(p+u)/2;
     while (p<u){
           if (v[m]<=key)
              p=m+1;
           else
               u=m;
           m=(p+u)/2;
     }
     if (v[p]<=key)
        ++p;
     return p;
}
void solve(void){
     int i,ra,y,z;
     for (i=1;i<n;++i){
         ra=x-v[i];
         y=search1(i+1,n,ra);
         z=search2(i+1,n,ra-1);
         if (y<i+1)
            y=i;
         if (z<i+1)
            z=i;
         //if (z==i+1 && v[i+1]>ra)
            //z=i;
         //fprintf(stderr,"(%d %d)",y,z);
         s+=(y-z+1);
     }
     //fprintf(stderr,"\n");
     //for (i=1;i<=n;++i)
         //fprintf(stderr,"%d ",v[i]);
     //fprintf(stderr,"\n");
}
void print(void){
     printf("%lld\n",s);
     //system("pause");
}
int main(void){
    scan();
    sort();
    solve();
    print();
    return 0;
}
